import React from 'react';
import '../../../css/endo/IndexHeaders.css';
import { getBorderStyle, getIsCellSelected } from './selectionUtils';
import { calculateCurrentSheetView, calculateTranslate } from './sheetViewUtils';
import { classNames } from '../../utils/classNames';
/*
    The headers on the side of the sheet that display
    the indexes of the dataframe.
*/
const IndexHeaders = (props) => {
    const currentSheetView = calculateCurrentSheetView(props.gridState);
    const translate = calculateTranslate(props.gridState);
    const indexHeadersStyle = {
        transform: `translateY(${-translate.y}px)`,
    };
    return (React.createElement(React.Fragment, null, props.sheetData.numRows > 0 &&
        React.createElement("div", { className: "index-headers-container" },
            React.createElement("div", { style: indexHeadersStyle }, Array(currentSheetView.numRowsRendered).fill(0).map((_, _rowIndex) => {
                const rowIndex = currentSheetView.startingRowIndex + _rowIndex;
                const selected = getIsCellSelected(props.gridState.selection, rowIndex, -1);
                const className = classNames('index-header-container', { 'index-header-selected': selected });
                return (React.createElement("div", { className: className, key: rowIndex, tabIndex: -1, "mito-row-index": rowIndex, "mito-col-index": -1, style: Object.assign({}, getBorderStyle(props.gridState.selection, rowIndex, -1, props.sheetData.numRows)) }, rowIndex >= props.sheetData.numRows ? '' : props.sheetData.index[rowIndex]));
            })))));
};
export default React.memo(IndexHeaders);
//# sourceMappingURL=IndexHeaders.js.map